# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "slabtastic"
version = "1.3.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A streamable, readable, writeable, randomly accessible file format"
homepage = "https://github.com/nosqlbench/slabtastic-rs"
readme = "README.md"
keywords = [
    "vector",
    "dataset",
    "ann",
    "testing",
    "automation",
]
categories = [
    "filesystem",
    "network-programming",
    "science",
]
license = "Apache-2.0"
repository = "https://github.com/nosqlbench/slabtastic-rs"

[lib]
name = "slabtastic"
path = "src/lib.rs"

[[bin]]
name = "slab"
path = "src/main.rs"

[[test]]
name = "adversarial"
path = "tests/adversarial.rs"

[[test]]
name = "integration"
path = "tests/integration.rs"

[[test]]
name = "large_scale"
path = "tests/large_scale.rs"

[[bench]]
name = "throughput"
path = "benches/throughput.rs"
harness = false

[dependencies.csv]
version = "1"

[dependencies.memmap2]
version = "0.9"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.serde_yaml]
version = "0.9"

[dependencies.veks-completion]
version = "1.3.0"

[dependencies.veks-completion-derive]
version = "1.3.0"

[dev-dependencies.criterion]
version = "0.5"
features = ["html_reports"]

[dev-dependencies.tempfile]
version = "3"

[lints.clippy]
needless_range_loop = "allow"
